Get a form
GET
/projects/{projectId}/forms/{formId}
Authentication
API Key (header: X-API-Key)
Path Parameters
projectId
string
required
path
formId
string
required
path
Responses
200
Form details
application/jsondata
object
id
string
project_id
string
name
string
slug
string
fields
object[]
Array of:
id
string
type
string
Enum:
short_text, long_text, email, number, phone, checkbox, radio, single_select, multi_select, date, filelabel
string
name
string
required
boolean
placeholder
string | null
options
string[]
For single_select, multi_select, radio
Array of:
success_action
string
Enum:
inline, redirectsuccess_message
string
redirect_url
string | null
allowed_origins
string[]
Array of:
rate_limit_per_ip
integer
rate_limit_window_seconds
integer
submit_button_label
string
submit_button_align
string
Enum:
left, center, right, fullsubmit_button_color
string | null
Hex color (e.g. #3B82F6). Null = brand default.
archived_at
string (date-time) | null
created_at
string (date-time)
updated_at
string (date-time)
404
Not found
curl -X GET 'https://api.rogeriq.com/api/v1/projects/string/forms/string' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.rogeriq.com/api/v1/projects/string/forms/string', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.rogeriq.com/api/v1/projects/string/forms/string', headers=headers)print(response.json())
200
Response
{ "data": { "id": "<string>", "project_id": "<string>", "name": "<string>", "slug": "<string>", "fields": [ { "id": "<string>", "type": "short_text", "label": "<string>", "name": "<string>", "required": true, "placeholder": "<string>", "options": [ "<string>" ] } ], "success_action": "inline", "success_message": "<string>", "redirect_url": "<string>", "allowed_origins": [ "<string>" ], "rate_limit_per_ip": 123, "rate_limit_window_seconds": 123, "submit_button_label": "<string>", "submit_button_align": "left", "submit_button_color": "<string>", "archived_at": "2024-01-01T00:00:00Z", "created_at": "2024-01-01T00:00:00Z", "updated_at": "2024-01-01T00:00:00Z" }}
API Playground
Try this endpoint
GET
/projects/{projectId}/forms/{formId}